Subject: Re: bug#8202: seq bug

From: Eric Blake <[email-masked]>
Date: Tue, 08 Mar 2011 08:04:32 -0700

On 03/08/2011 04:03 AM, Vit Bartunek wrote:
> Hi there,
> 
> seq parametr -w (--equal-width) is not working 
> 
> Trying to execute command bellow, the parametr seems to be ignored.
> seq --equal-width 1 0 99

Thanks for the report.  However, I cannot reproduce it:

$ seq -w 1 0 99 | head
01
01
01
01
01
01
01
01
01
01

And even if I correct the argument order (I assume you wanted to go from
0 to 99, not on an infinite loop of step size 0 with the value of 1 and
width of 99):

$ seq -w 0 1 99
00
01
02
...
98
99

That said, you didn't say what actual output you got, so you may still
have a valid report - I'm leaving this open for a few days longer in
case you can provide any more details confirming that this is a bug and
not user error.

> Version     : 5.97                              Vendor: CentOS

Also, that may be your problem.  That version is several years old; the
latest stable version is 8.10, with several fixes to seq in the meantime.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org